%global momorel 1
Summary: The Netwide Assembler, a portable x86 assembler with Intel-like syntax
Name: nasm
Version: 0.98.39
Release: %{momorel}m
License: GPL
Group: Development/Languages
Source: http://telia.dl.sourceforge.net/nasm/%{name}-%{version}.tar.gz
NoSource: 0
BuildpreReq: ghostscript >= 7.07-5m
URL: http://sourceforge.net/projects/nasm/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%package doc
Summary: Extensive documentation for NASM
Group: Development/Languages
Prereq: info

%package rdoff
Summary: Tools for the RDOFF binary format, sometimes used with NASM.
Group: Development/Tools

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel
80x86 microprocessor series, using primarily the traditional Intel
instruction mnemonics and syntax.

%description doc
Extensive documentation for the Netwide Assembler, NASM, in HTML,
info, PostScript and text formats.

%description rdoff
Tools for the operating-system independent RDOFF binary format, which
is sometimes used with the Netwide Assembler (NASM).  These tools
include linker, library manager, loader, and information dump.

%prep
%setup -q

%build
rm -f config.cache config.status config.log
sh ./configure --prefix=%{_prefix}

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p "%{buildroot}"%{_mandir}/man1
mkdir -p "%{buildroot}"%{_infodir}
DOC="%{buildroot}"%{_docdir}/%{name}-%{version}
rm -rf "$DOC"
mkdir -p "$DOC"/rdoff
%makeinstall docdir=%{buildroot}/%{_docdir}/nasm-%{version} install_everything
# mv "%{buildroot}"/usr/man/* "%{buildroot}"%{_mandir}
# mv "%{buildroot}"/usr/info/* "%{buildroot}"%{_infodir}
# gzip -9 "%{buildroot}"%{_infodir}/nasm.*
gzip -9 "$DOC"/*.txt "$DOC"/*.ps
cp CHANGES AUTHORS COPYING README doc/*.doc test/changed.asm "$DOC"
cp rdoff/README "$DOC"/rdoff

%clean
rm -rf "%{buildroot}"

%post doc
/sbin/install-info %{_infodir}/nasm.info.* %{_infodir}/dir

%preun doc
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/nasm.info.* %{_infodir}/dir
fi

%files
%attr(-,root,root)	%{_bindir}/nasm
%attr(-,root,root)	%{_bindir}/ndisasm
%attr(-,root,root) %doc %{_mandir}/man1/nasm.1*
%attr(-,root,root) %doc %{_mandir}/man1/ndisasm.1*
%attr(-,root,root) %doc %{_docdir}/nasm-%{version}/CHANGES
%attr(-,root,root) %doc %{_docdir}/nasm-%{version}/AUTHORS
%attr(-,root,root) %doc %{_docdir}/nasm-%{version}/COPYING
%attr(-,root,root) %doc %{_docdir}/nasm-%{version}/README

%files doc
%attr(-,root,root) %doc %{_infodir}/nasm.info*
%attr(-,root,root) %doc %{_docdir}/nasm-%{version}/nasmdoc.*
%attr(-,root,root) %doc %{_docdir}/nasm-%{version}/internal.*
%attr(-,root,root) %doc %{_docdir}/nasm-%{version}/changed.asm
%attr(-,root,root) %doc %{_docdir}/nasm-%{version}/html

%files rdoff
%attr(-,root,root)	%{_bindir}/ldrdf
%attr(-,root,root)	%{_bindir}/rdf2bin
%attr(-,root,root)	%{_bindir}/rdf2com
%attr(-,root,root)	%{_bindir}/rdf2ihx
%attr(-,root,root)	%{_bindir}/rdfdump
%attr(-,root,root)	%{_bindir}/rdflib
%attr(-,root,root)	%{_bindir}/rdx
%attr(-,root,root) %doc	%{_docdir}/nasm-%{version}/rdoff

%changelog
* Sun Feb 27 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.98.39-1m)
- update to 0.98.39

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (0.98.36-4m)
- revised spec for rpm 4.2.

* Wed Nov 12 2003 zunda <zunda at freeshell.org>
- (0.98.36-3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Wed Sep 17 2003 zunda <zunda at freeshell.org>
- (kossori)
- BuildpreReq: ghostscript >= 7.07-5m for proper ps2pdf

* Sat Apr 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.98.36-2m)
- add BuildpreReq: ghostscript for ps2pdf -dOptimize=true   nasmdoc.ps nasmdoc.pdf

* Mon Mar 17 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.98.36-1m)
  update to 0.98.36
  
* Tue Mar  4 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.98.35-1m)
- version up to 0.98.35
- use %%{_bindir}
- fix URL
- change --prefix=%%{_prefix}
- add doc/*.doc

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (0.98.22-4k)

* Fri Apr  12 2002 Toru Hoshina <t@kondara.org>
- (0.98.22-2k)
- ver up. from sourceforge...

* Tue Sep  2 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.98-14k)
- import sse2 patch

* Fri Oct 27 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modified spec file

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Mon Oct 23 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (0.98-7k)
- fixed for FHS

* Sun Jul  2 2000 Hidetomo Machi <mcHT@kondara.org>
- modified %files (for auto gzipped man by rpm-3.0.5)
- rebuild for Jirai ;p
- added "-q" at %setup
